Closes an account given the account identifier (UUID, IBAN or BBAN and country) if the account balance (available amount) is zero.
Closing an eMoney account implies to close all the virtual accounts associated to it. So no operations will be accomplished (transactions, update accounts, create limits).
Closing a Virtual Account implies to avoid operating with that account. So no operations will be accomplished (transactions, update account, create limits).
OAuth Grant type, Private JWT
Client ID header.
Device information permitted for the data query.
You can use this parameter to apply an experience base to optimize data collection.
Identifier of the account. The number format is defined in the "account_id_type" parameter.
Account id country
Account id type
Request body where the reason from the clousure is indicated.
{
"closureReason": "Example reason"
}Closure Reason Body.
The reason for the closure.
No content
Bad Request
{
"errors": [
{
"code": "INVALID_SCHEMA",
"message": "Invalid input.",
"level": "ERROR",
"description": "Error validating schema."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Unauthorized
{
"errors": [
{
"code": "UNAUTHORIZED",
"message": "A token must be provided.",
"level": "ERROR",
"description": "There was an error during token verification in header [authorization]"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Forbidden
{
"errors": [
{
"code": "LEGAL_ENTITY_NOT_ENABLED",
"message": "The legal entity is not enabled.",
"level": "ERROR",
"description": "Legal entity not enabled."
}
]
}{
"errors": [
{
"code": "OPERATION_NOT_ALLOWED",
"message": "operation not allowed due to lack of permissions.",
"level": "ERROR",
"description": "Operation not allowed due to lack of permissions."
}
]
}{
"errors": [
{
"code": "INVALID_AUTH_TOKEN",
"message": "The token provided is invalid.",
"level": "ERROR",
"description": "Invalid auth token."
}
]
}{
"errors": [
{
"code": "FORBIDDEN",
"message": "A token must be provided.",
"level": "ERROR",
"description": "Operation not allowed due to lack of permissions."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Data structure showing an account does not exist in the system.
{
"errors": [
{
"code": "NOT_FOUND",
"level": "ERROR",
"message": "Not found.",
"description": "The server can not find the requested resource. In the browser, this means the URL is not recognized."
}
]
}{
"errors": [
{
"code": "ACCOUNT_NOT_FOUND",
"level": "ERROR",
"message": "Account not found.",
"description": "The data related to the account with identifier \"a26c7fc3-3f9b-4045-a946-24e565bee1f9\" could not be found."
}
]
}{
"errors": [
{
"code": "REAL_ACCOUNT_VIRTUAL_STRUCTURE_NOT_EXIST",
"level": "ERROR",
"message": "Real account has no virtual account structure",
"description": "This account with an UUID \"698b21e5-016f-487c-b0a7-bb86772f126f\" has no virtual structure ID."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Method Not Allowed
{
"errors": [
{
"code": "METHOD_NOT_ALLOWED",
"level": "ERROR",
"message": "Method not allowed",
"description": "The request method is known by the server but is not supported by the target resource."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Not Acceptable
{
"errors": [
{
"code": "NOT_ACCEPTABLE",
"level": "ERROR",
"message": "Not Acceptable",
"description": "This response is sent when the web server, after performing server-driven content negotiation, doesn't find any content that conforms to the criteria given by the user agent."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Conflict
{
"errors": [
{
"code": "CONFLICT",
"level": "ERROR",
"message": "Conflict",
"description": "This response is sent when a request conflicts with the current state of the server."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Payload too large
{
"errors": [
{
"code": "PAYLOAD_TOO_LARGE",
"level": "ERROR",
"message": "Payload too large",
"description": "Request entity is larger than limits defined by server. The server might close the connection or return an Retry-After header field."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Request URI Too Long
{
"errors": [
{
"code": "URI_TOO_LARGE",
"level": "ERROR",
"message": "URI too large",
"description": "The URI requested by the client is longer than the server is willing to interpret."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Unsupported Media Type
{
"errors": [
{
"code": "UNSUPPORTED_MEDIA_TYPE",
"level": "ERROR",
"message": "Unsupported Media Type",
"description": "The media format of the requested data is not supported by the server, so the server is rejecting the request."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Data structure showing account could not be closed because it is already closed or the account balance is not zero.
{
"errors": [
{
"code": "ACCOUNT_ALREADY_CLOSED",
"level": "ERROR",
"message": "Account is already closed",
"description": "The account could not be closed because it is already closed"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Too Many Requests
{
"errors": [
{
"code": "TOO_MANY_REQUESTS",
"level": "ERROR",
"message": "Too many requests.",
"description": "The user has sent too many requests in a given amount of time"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error.",
"level": "ERROR",
"description": "INTERNAL_SERVER_ERROR"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Service Down Error
{
"errors": [
{
"code": "SERVICE_DOWN_ERROR",
"message": "Service down error.",
"level": "ERROR",
"description": "Service down error."
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Gateway Timeout Error
{
"errors": [
{
"code": "GATEWAY_TIMEOUT_ERROR",
"message": "Gateway timeout error.",
"level": "ERROR",
"description": "Gateway timeout error"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.
Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error.",
"level": "ERROR",
"description": "INTERNAL_SERVER_ERROR"
}
]
}Data structure containing the details for errors.
Array of errors.
Data structure containing error details.
Unique alphanumeric human readable error code.
Brief summary of the reported issue.
Level of the reported issue. The possible values are:
- ERROR
- FATAL
- INFO
- WARNING
Detailed description of the reported issue.